From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: "Jan Alexander Steffens (heftig)" <heftig@archlinux.org>
Date: Thu, 12 Feb 2026 09:31:45 +0100
Subject: [PATCH] Patch glsl-optimizer to build with glibc 2.43

---
 Cargo.lock                                             |  2 --
 Cargo.toml                                             |  3 +++
 .../rust/glslopt/.cargo-checksum.json                  |  0
 .../rust/glslopt/.cargo_vcs_info.json                  |  0
 {third_party => build}/rust/glslopt/.gitmodules        |  0
 {third_party => build}/rust/glslopt/Cargo.lock         |  0
 {third_party => build}/rust/glslopt/Cargo.toml         |  0
 {third_party => build}/rust/glslopt/Cargo.toml.orig    |  0
 {third_party => build}/rust/glslopt/README.md          |  0
 {third_party => build}/rust/glslopt/build.rs           |  0
 .../rust/glslopt/glsl-optimizer/.editorconfig          |  0
 .../rust/glslopt/glsl-optimizer/.gitignore             |  0
 .../rust/glslopt/glsl-optimizer/CMakeLists.txt         |  0
 .../rust/glslopt/glsl-optimizer/README.md              |  0
 .../glslopt/glsl-optimizer/contrib/glslopt/Main.cpp    |  0
 .../rust/glslopt/glsl-optimizer/contrib/glslopt/Readme |  0
 .../rust/glslopt/glsl-optimizer/generateParsers.sh     |  0
 .../rust/glslopt/glsl-optimizer/include/GL/gl.h        |  0
 .../rust/glslopt/glsl-optimizer/include/GL/glext.h     |  0
 .../glslopt/glsl-optimizer/include/KHR/khrplatform.h   |  0
 .../glslopt/glsl-optimizer/include/c11/.editorconfig   |  0
 .../rust/glslopt/glsl-optimizer/include/c11/threads.h  |  0
 .../glslopt/glsl-optimizer/include/c11/threads_posix.h | 10 ++++++++++
 .../glslopt/glsl-optimizer/include/c11/threads_win32.h |  0
 .../rust/glslopt/glsl-optimizer/include/c11_compat.h   |  0
 .../rust/glslopt/glsl-optimizer/include/c99_compat.h   |  0
 .../rust/glslopt/glsl-optimizer/include/no_extern_c.h  |  0
 .../rust/glslopt/glsl-optimizer/license.txt            |  0
 .../glsl-optimizer/src/compiler/builtin_type_macros.h  |  0
 .../glslopt/glsl-optimizer/src/compiler/glsl/README    |  0
 .../rust/glslopt/glsl-optimizer/src/compiler/glsl/TODO |  0
 .../glslopt/glsl-optimizer/src/compiler/glsl/ast.h     |  0
 .../src/compiler/glsl/ast_array_index.cpp              |  0
 .../glsl-optimizer/src/compiler/glsl/ast_expr.cpp      |  0
 .../glsl-optimizer/src/compiler/glsl/ast_function.cpp  |  0
 .../glsl-optimizer/src/compiler/glsl/ast_to_hir.cpp    |  0
 .../glsl-optimizer/src/compiler/glsl/ast_type.cpp      |  0
 .../src/compiler/glsl/builtin_functions.cpp            |  0
 .../src/compiler/glsl/builtin_functions.h              |  0
 .../glsl-optimizer/src/compiler/glsl/builtin_int64.h   |  0
 .../glsl-optimizer/src/compiler/glsl/builtin_types.cpp |  0
 .../src/compiler/glsl/builtin_variables.cpp            |  0
 .../glsl-optimizer/src/compiler/glsl/float64.glsl      |  0
 .../glsl-optimizer/src/compiler/glsl/generate_ir.cpp   |  0
 .../glsl-optimizer/src/compiler/glsl/glcpp/README      |  0
 .../glsl-optimizer/src/compiler/glsl/glcpp/glcpp-lex.c |  0
 .../glsl-optimizer/src/compiler/glsl/glcpp/glcpp-lex.l |  0
 .../src/compiler/glsl/glcpp/glcpp-parse.c              |  0
 .../src/compiler/glsl/glcpp/glcpp-parse.h              |  0
 .../src/compiler/glsl/glcpp/glcpp-parse.y              |  0
 .../glsl-optimizer/src/compiler/glsl/glcpp/glcpp.c     |  0
 .../glsl-optimizer/src/compiler/glsl/glcpp/glcpp.h     |  0
 .../glsl-optimizer/src/compiler/glsl/glcpp/pp.c        |  0
 .../compiler/glsl/glcpp/pp_standalone_scaffolding.c    |  0
 .../compiler/glsl/glcpp/pp_standalone_scaffolding.h    |  0
 .../glsl-optimizer/src/compiler/glsl/glsl_lexer.cpp    |  0
 .../glsl-optimizer/src/compiler/glsl/glsl_lexer.ll     |  0
 .../src/compiler/glsl/glsl_optimizer.cpp               |  0
 .../glsl-optimizer/src/compiler/glsl/glsl_optimizer.h  |  0
 .../glsl-optimizer/src/compiler/glsl/glsl_parser.cpp   |  0
 .../glsl-optimizer/src/compiler/glsl/glsl_parser.h     |  0
 .../glsl-optimizer/src/compiler/glsl/glsl_parser.yy    |  0
 .../src/compiler/glsl/glsl_parser_extras.cpp           |  0
 .../src/compiler/glsl/glsl_parser_extras.h             |  0
 .../src/compiler/glsl/glsl_symbol_table.cpp            |  0
 .../src/compiler/glsl/glsl_symbol_table.h              |  0
 .../src/compiler/glsl/hir_field_selection.cpp          |  0
 .../glsl-optimizer/src/compiler/glsl/int64.glsl        |  0
 .../glslopt/glsl-optimizer/src/compiler/glsl/ir.cpp    |  0
 .../rust/glslopt/glsl-optimizer/src/compiler/glsl/ir.h |  0
 .../src/compiler/glsl/ir_array_refcount.cpp            |  0
 .../src/compiler/glsl/ir_array_refcount.h              |  0
 .../src/compiler/glsl/ir_basic_block.cpp               |  0
 .../glsl-optimizer/src/compiler/glsl/ir_basic_block.h  |  0
 .../glsl-optimizer/src/compiler/glsl/ir_builder.cpp    |  0
 .../glsl-optimizer/src/compiler/glsl/ir_builder.h      |  0
 .../src/compiler/glsl/ir_builder_print_visitor.cpp     |  0
 .../src/compiler/glsl/ir_builder_print_visitor.h       |  0
 .../glsl-optimizer/src/compiler/glsl/ir_clone.cpp      |  0
 .../src/compiler/glsl/ir_constant_expression.cpp       |  0
 .../glsl-optimizer/src/compiler/glsl/ir_equals.cpp     |  0
 .../src/compiler/glsl/ir_expression_flattening.cpp     |  0
 .../src/compiler/glsl/ir_expression_flattening.h       |  0
 .../src/compiler/glsl/ir_expression_operation.h        |  0
 .../src/compiler/glsl/ir_expression_operation.py       |  0
 .../compiler/glsl/ir_expression_operation_constant.h   |  0
 .../compiler/glsl/ir_expression_operation_strings.h    |  0
 .../glsl-optimizer/src/compiler/glsl/ir_function.cpp   |  0
 .../src/compiler/glsl/ir_function_can_inline.cpp       |  0
 .../src/compiler/glsl/ir_function_detect_recursion.cpp |  0
 .../src/compiler/glsl/ir_function_inlining.h           |  0
 .../src/compiler/glsl/ir_hierarchical_visitor.cpp      |  0
 .../src/compiler/glsl/ir_hierarchical_visitor.h        |  0
 .../glsl-optimizer/src/compiler/glsl/ir_hv_accept.cpp  |  0
 .../glsl-optimizer/src/compiler/glsl/ir_optimization.h |  0
 .../src/compiler/glsl/ir_print_glsl_visitor.cpp        |  0
 .../src/compiler/glsl/ir_print_glsl_visitor.h          |  0
 .../src/compiler/glsl/ir_print_visitor.cpp             |  0
 .../src/compiler/glsl/ir_print_visitor.h               |  0
 .../glsl-optimizer/src/compiler/glsl/ir_reader.cpp     |  0
 .../glsl-optimizer/src/compiler/glsl/ir_reader.h       |  0
 .../src/compiler/glsl/ir_rvalue_visitor.cpp            |  0
 .../src/compiler/glsl/ir_rvalue_visitor.h              |  0
 .../src/compiler/glsl/ir_set_program_inouts.cpp        |  0
 .../glsl-optimizer/src/compiler/glsl/ir_uniform.h      |  0
 .../src/compiler/glsl/ir_unused_structs.cpp            |  0
 .../src/compiler/glsl/ir_unused_structs.h              |  0
 .../glsl-optimizer/src/compiler/glsl/ir_validate.cpp   |  0
 .../src/compiler/glsl/ir_variable_refcount.cpp         |  0
 .../src/compiler/glsl/ir_variable_refcount.h           |  0
 .../glsl-optimizer/src/compiler/glsl/ir_visitor.h      |  0
 .../glsl-optimizer/src/compiler/glsl/link_atomics.cpp  |  0
 .../src/compiler/glsl/link_functions.cpp               |  0
 .../src/compiler/glsl/link_interface_blocks.cpp        |  0
 .../glsl/link_uniform_block_active_visitor.cpp         |  0
 .../compiler/glsl/link_uniform_block_active_visitor.h  |  0
 .../src/compiler/glsl/link_uniform_blocks.cpp          |  0
 .../src/compiler/glsl/link_uniform_initializers.cpp    |  0
 .../glsl-optimizer/src/compiler/glsl/link_uniforms.cpp |  0
 .../glsl-optimizer/src/compiler/glsl/link_varyings.cpp |  0
 .../glsl-optimizer/src/compiler/glsl/link_varyings.h   |  0
 .../glsl-optimizer/src/compiler/glsl/linker.cpp        |  0
 .../glslopt/glsl-optimizer/src/compiler/glsl/linker.h  |  0
 .../glsl-optimizer/src/compiler/glsl/linker_util.cpp   |  0
 .../glsl-optimizer/src/compiler/glsl/linker_util.h     |  0
 .../glslopt/glsl-optimizer/src/compiler/glsl/list.h    |  0
 .../glsl-optimizer/src/compiler/glsl/loop_analysis.cpp |  0
 .../glsl-optimizer/src/compiler/glsl/loop_analysis.h   |  0
 .../glsl-optimizer/src/compiler/glsl/loop_unroll.cpp   |  0
 .../compiler/glsl/lower_blend_equation_advanced.cpp    |  0
 .../src/compiler/glsl/lower_buffer_access.cpp          |  0
 .../src/compiler/glsl/lower_buffer_access.h            |  0
 .../src/compiler/glsl/lower_builtins.cpp               |  0
 .../compiler/glsl/lower_const_arrays_to_uniforms.cpp   |  0
 .../src/compiler/glsl/lower_cs_derived.cpp             |  0
 .../glsl-optimizer/src/compiler/glsl/lower_discard.cpp |  0
 .../src/compiler/glsl/lower_discard_flow.cpp           |  0
 .../src/compiler/glsl/lower_distance.cpp               |  0
 .../src/compiler/glsl/lower_if_to_cond_assign.cpp      |  0
 .../src/compiler/glsl/lower_instructions.cpp           |  0
 .../glsl-optimizer/src/compiler/glsl/lower_int64.cpp   |  0
 .../glsl-optimizer/src/compiler/glsl/lower_jumps.cpp   |  0
 .../src/compiler/glsl/lower_mat_op_to_vec.cpp          |  0
 .../src/compiler/glsl/lower_named_interface_blocks.cpp |  0
 .../src/compiler/glsl/lower_offset_array.cpp           |  0
 .../src/compiler/glsl/lower_output_reads.cpp           |  0
 .../src/compiler/glsl/lower_packed_varyings.cpp        |  0
 .../src/compiler/glsl/lower_packing_builtins.cpp       |  0
 .../src/compiler/glsl/lower_precision.cpp              |  0
 .../src/compiler/glsl/lower_shared_reference.cpp       |  0
 .../src/compiler/glsl/lower_subroutine.cpp             |  0
 .../src/compiler/glsl/lower_tess_level.cpp             |  0
 .../src/compiler/glsl/lower_texture_projection.cpp     |  0
 .../src/compiler/glsl/lower_ubo_reference.cpp          |  0
 .../glsl/lower_variable_index_to_cond_assign.cpp       |  0
 .../compiler/glsl/lower_vec_index_to_cond_assign.cpp   |  0
 .../src/compiler/glsl/lower_vec_index_to_swizzle.cpp   |  0
 .../glsl-optimizer/src/compiler/glsl/lower_vector.cpp  |  0
 .../src/compiler/glsl/lower_vector_derefs.cpp          |  0
 .../src/compiler/glsl/lower_vector_insert.cpp          |  0
 .../src/compiler/glsl/lower_vertex_id.cpp              |  0
 .../src/compiler/glsl/lower_xfb_varying.cpp            |  0
 .../glslopt/glsl-optimizer/src/compiler/glsl/main.cpp  |  0
 .../src/compiler/glsl/opt_add_neg_to_sub.h             |  0
 .../glsl-optimizer/src/compiler/glsl/opt_algebraic.cpp |  0
 .../src/compiler/glsl/opt_array_splitting.cpp          |  0
 .../src/compiler/glsl/opt_conditional_discard.cpp      |  0
 .../src/compiler/glsl/opt_constant_folding.cpp         |  0
 .../src/compiler/glsl/opt_constant_propagation.cpp     |  0
 .../src/compiler/glsl/opt_constant_variable.cpp        |  0
 .../compiler/glsl/opt_copy_propagation_elements.cpp    |  0
 .../src/compiler/glsl/opt_dead_builtin_variables.cpp   |  0
 .../src/compiler/glsl/opt_dead_builtin_varyings.cpp    |  0
 .../glsl-optimizer/src/compiler/glsl/opt_dead_code.cpp |  0
 .../src/compiler/glsl/opt_dead_code_local.cpp          |  0
 .../src/compiler/glsl/opt_dead_functions.cpp           |  0
 .../src/compiler/glsl/opt_flatten_nested_if_blocks.cpp |  0
 .../src/compiler/glsl/opt_flip_matrices.cpp            |  0
 .../src/compiler/glsl/opt_function_inlining.cpp        |  0
 .../src/compiler/glsl/opt_if_simplification.cpp        |  0
 .../glsl-optimizer/src/compiler/glsl/opt_minmax.cpp    |  0
 .../src/compiler/glsl/opt_rebalance_tree.cpp           |  0
 .../src/compiler/glsl/opt_redundant_jumps.cpp          |  0
 .../src/compiler/glsl/opt_structure_splitting.cpp      |  0
 .../glsl-optimizer/src/compiler/glsl/opt_swizzle.cpp   |  0
 .../src/compiler/glsl/opt_tree_grafting.cpp            |  0
 .../glsl-optimizer/src/compiler/glsl/opt_vectorize.cpp |  0
 .../glslopt/glsl-optimizer/src/compiler/glsl/program.h |  0
 .../src/compiler/glsl/propagate_invariance.cpp         |  0
 .../glsl-optimizer/src/compiler/glsl/s_expression.cpp  |  0
 .../glsl-optimizer/src/compiler/glsl/s_expression.h    |  0
 .../glsl-optimizer/src/compiler/glsl/serialize.cpp     |  0
 .../glsl-optimizer/src/compiler/glsl/serialize.h       |  0
 .../glsl-optimizer/src/compiler/glsl/shader_cache.cpp  |  0
 .../glsl-optimizer/src/compiler/glsl/shader_cache.h    |  0
 .../glsl-optimizer/src/compiler/glsl/standalone.cpp    |  0
 .../glsl-optimizer/src/compiler/glsl/standalone.h      |  0
 .../src/compiler/glsl/standalone_scaffolding.cpp       |  0
 .../src/compiler/glsl/standalone_scaffolding.h         |  0
 .../src/compiler/glsl/string_to_uint_map.cpp           |  0
 .../src/compiler/glsl/string_to_uint_map.h             |  0
 .../glsl-optimizer/src/compiler/glsl/test_optpass.h    |  0
 .../glslopt/glsl-optimizer/src/compiler/glsl/xxd.py    |  0
 .../glslopt/glsl-optimizer/src/compiler/glsl_types.cpp |  0
 .../glslopt/glsl-optimizer/src/compiler/glsl_types.h   |  0
 .../glslopt/glsl-optimizer/src/compiler/shader_enums.c |  0
 .../glslopt/glsl-optimizer/src/compiler/shader_enums.h |  0
 .../glslopt/glsl-optimizer/src/compiler/shader_info.h  |  0
 .../glsl-optimizer/src/gallium/auxiliary/util/u_half.h |  0
 .../src/gallium/include/pipe/p_compiler.h              |  0
 .../glsl-optimizer/src/gallium/include/pipe/p_config.h |  0
 .../src/gallium/include/pipe/p_defines.h               |  0
 .../glsl-optimizer/src/gallium/include/pipe/p_format.h |  0
 .../glsl-optimizer/src/gallium/include/pipe/p_state.h  |  0
 .../rust/glslopt/glsl-optimizer/src/mapi/glapi/glapi.h |  0
 .../rust/glslopt/glsl-optimizer/src/mesa/main/config.h |  0
 .../glslopt/glsl-optimizer/src/mesa/main/context.c     |  0
 .../glslopt/glsl-optimizer/src/mesa/main/context.h     |  0
 .../rust/glslopt/glsl-optimizer/src/mesa/main/dd.h     |  0
 .../glsl-optimizer/src/mesa/main/debug_output.h        |  0
 .../rust/glslopt/glsl-optimizer/src/mesa/main/draw.h   |  0
 .../rust/glslopt/glsl-optimizer/src/mesa/main/enums.h  |  0
 .../rust/glslopt/glsl-optimizer/src/mesa/main/errors.h |  0
 .../glslopt/glsl-optimizer/src/mesa/main/extensions.h  |  0
 .../glsl-optimizer/src/mesa/main/extensions_table.c    |  0
 .../glsl-optimizer/src/mesa/main/extensions_table.h    |  0
 .../glslopt/glsl-optimizer/src/mesa/main/formats.h     |  0
 .../glslopt/glsl-optimizer/src/mesa/main/glheader.h    |  0
 .../glslopt/glsl-optimizer/src/mesa/main/glthread.h    |  0
 .../rust/glslopt/glsl-optimizer/src/mesa/main/hash.h   |  0
 .../rust/glslopt/glsl-optimizer/src/mesa/main/macros.h |  0
 .../rust/glslopt/glsl-optimizer/src/mesa/main/menums.h |  0
 .../glsl-optimizer/src/mesa/main/mesa_private.h        |  0
 .../rust/glslopt/glsl-optimizer/src/mesa/main/mtypes.h |  0
 .../glslopt/glsl-optimizer/src/mesa/main/shaderobj.h   |  0
 .../glslopt/glsl-optimizer/src/mesa/main/uniforms.h    |  0
 .../glslopt/glsl-optimizer/src/mesa/main/version.h     |  0
 .../glslopt/glsl-optimizer/src/mesa/math/m_matrix.h    |  0
 .../glsl-optimizer/src/mesa/program/dummy_errors.c     |  0
 .../glsl-optimizer/src/mesa/program/ir_to_mesa.h       |  0
 .../glsl-optimizer/src/mesa/program/prog_instruction.h |  0
 .../glsl-optimizer/src/mesa/program/prog_parameter.h   |  0
 .../glsl-optimizer/src/mesa/program/prog_statevars.h   |  0
 .../glslopt/glsl-optimizer/src/mesa/program/program.h  |  0
 .../glsl-optimizer/src/mesa/program/symbol_table.c     |  0
 .../glsl-optimizer/src/mesa/program/symbol_table.h     |  0
 .../rust/glslopt/glsl-optimizer/src/mesa/vbo/vbo.h     |  0
 .../rust/glslopt/glsl-optimizer/src/util/bitscan.h     |  0
 .../rust/glslopt/glsl-optimizer/src/util/bitset.h      |  0
 .../rust/glslopt/glsl-optimizer/src/util/blob.c        |  0
 .../rust/glslopt/glsl-optimizer/src/util/blob.h        |  0
 .../rust/glslopt/glsl-optimizer/src/util/compiler.h    |  0
 .../rust/glslopt/glsl-optimizer/src/util/crc32.c       |  0
 .../rust/glslopt/glsl-optimizer/src/util/crc32.h       |  0
 .../rust/glslopt/glsl-optimizer/src/util/debug.c       |  0
 .../rust/glslopt/glsl-optimizer/src/util/debug.h       |  0
 .../rust/glslopt/glsl-optimizer/src/util/detect_os.h   |  0
 .../rust/glslopt/glsl-optimizer/src/util/disk_cache.c  |  0
 .../rust/glslopt/glsl-optimizer/src/util/disk_cache.h  |  0
 .../glsl-optimizer/src/util/fast_urem_by_const.h       |  0
 .../rust/glslopt/glsl-optimizer/src/util/fnv1a.h       |  0
 .../glslopt/glsl-optimizer/src/util/format/u_format.h  |  0
 .../rust/glslopt/glsl-optimizer/src/util/futex.h       |  0
 .../rust/glslopt/glsl-optimizer/src/util/half_float.c  |  0
 .../rust/glslopt/glsl-optimizer/src/util/half_float.h  |  0
 .../rust/glslopt/glsl-optimizer/src/util/hash_table.c  |  0
 .../rust/glslopt/glsl-optimizer/src/util/hash_table.h  |  0
 .../rust/glslopt/glsl-optimizer/src/util/list.h        |  0
 .../rust/glslopt/glsl-optimizer/src/util/macros.h      |  0
 .../rust/glslopt/glsl-optimizer/src/util/mesa-sha1.c   |  0
 .../rust/glslopt/glsl-optimizer/src/util/mesa-sha1.h   |  0
 .../glslopt/glsl-optimizer/src/util/mesa-sha1_test.c   |  0
 .../rust/glslopt/glsl-optimizer/src/util/os_memory.h   |  0
 .../glsl-optimizer/src/util/os_memory_aligned.h        |  0
 .../glslopt/glsl-optimizer/src/util/os_memory_stdc.h   |  0
 .../rust/glslopt/glsl-optimizer/src/util/os_misc.c     |  0
 .../rust/glslopt/glsl-optimizer/src/util/os_misc.h     |  0
 .../rust/glslopt/glsl-optimizer/src/util/os_time.h     |  0
 .../rust/glslopt/glsl-optimizer/src/util/ralloc.c      |  0
 .../rust/glslopt/glsl-optimizer/src/util/ralloc.h      |  0
 .../rust/glslopt/glsl-optimizer/src/util/rounding.h    |  0
 .../rust/glslopt/glsl-optimizer/src/util/set.c         |  0
 .../rust/glslopt/glsl-optimizer/src/util/set.h         |  0
 .../rust/glslopt/glsl-optimizer/src/util/sha1/README   |  0
 .../rust/glslopt/glsl-optimizer/src/util/sha1/sha1.c   |  0
 .../rust/glslopt/glsl-optimizer/src/util/sha1/sha1.h   |  0
 .../rust/glslopt/glsl-optimizer/src/util/simple_mtx.h  |  0
 .../rust/glslopt/glsl-optimizer/src/util/softfloat.c   |  0
 .../rust/glslopt/glsl-optimizer/src/util/softfloat.h   |  0
 .../glslopt/glsl-optimizer/src/util/string_buffer.c    |  0
 .../glslopt/glsl-optimizer/src/util/string_buffer.h    |  0
 .../rust/glslopt/glsl-optimizer/src/util/strndup.h     |  0
 .../rust/glslopt/glsl-optimizer/src/util/strtod.c      |  0
 .../rust/glslopt/glsl-optimizer/src/util/strtod.h      |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_atomic.h    |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_debug.c     |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_debug.h     |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_dynarray.h  |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_endian.h    |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_math.c      |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_math.h      |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_memory.h    |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_queue.h     |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_string.h    |  0
 .../rust/glslopt/glsl-optimizer/src/util/u_thread.h    |  0
 .../rust/glslopt/glsl-optimizer/src/util/xxhash.h      |  0
 {third_party => build}/rust/glslopt/src/bindings.rs    |  0
 {third_party => build}/rust/glslopt/src/lib.rs         |  0
 {third_party => build}/rust/glslopt/wrapper.hpp        |  0
 supply-chain/config.toml                               |  4 ++++
 310 files changed, 17 insertions(+), 2 deletions(-)
 rename {third_party => build}/rust/glslopt/.cargo-checksum.json (100%)
 rename {third_party => build}/rust/glslopt/.cargo_vcs_info.json (100%)
 rename {third_party => build}/rust/glslopt/.gitmodules (100%)
 rename {third_party => build}/rust/glslopt/Cargo.lock (100%)
 rename {third_party => build}/rust/glslopt/Cargo.toml (100%)
 rename {third_party => build}/rust/glslopt/Cargo.toml.orig (100%)
 rename {third_party => build}/rust/glslopt/README.md (100%)
 rename {third_party => build}/rust/glslopt/build.rs (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/.editorconfig (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/.gitignore (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/CMakeLists.txt (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/README.md (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/contrib/glslopt/Main.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/contrib/glslopt/Readme (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/generateParsers.sh (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/include/GL/gl.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/include/GL/glext.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/include/KHR/khrplatform.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/include/c11/.editorconfig (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/include/c11/threads.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/include/c11/threads_posix.h (98%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/include/c11/threads_win32.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/include/c11_compat.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/include/c99_compat.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/include/no_extern_c.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/license.txt (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/builtin_type_macros.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/README (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/TODO (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ast.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ast_array_index.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ast_expr.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ast_function.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ast_to_hir.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ast_type.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/builtin_functions.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/builtin_functions.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/builtin_int64.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/builtin_types.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/builtin_variables.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/float64.glsl (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/generate_ir.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/README (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/glcpp-lex.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/glcpp-lex.l (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/glcpp-parse.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/glcpp-parse.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/glcpp-parse.y (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/glcpp.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/glcpp.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/pp.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/pp_standalone_scaffolding.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glcpp/pp_standalone_scaffolding.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_lexer.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_lexer.ll (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_optimizer.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_optimizer.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_parser.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_parser.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_parser.yy (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_parser_extras.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_parser_extras.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_symbol_table.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/glsl_symbol_table.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/hir_field_selection.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/int64.glsl (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_array_refcount.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_array_refcount.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_basic_block.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_basic_block.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_builder.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_builder.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_builder_print_visitor.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_builder_print_visitor.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_clone.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_constant_expression.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_equals.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_expression_flattening.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_expression_flattening.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_expression_operation.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_expression_operation.py (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_expression_operation_constant.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_expression_operation_strings.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_function.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_function_can_inline.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_function_detect_recursion.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_function_inlining.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_hierarchical_visitor.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_hierarchical_visitor.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_hv_accept.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_optimization.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_print_glsl_visitor.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_print_glsl_visitor.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_print_visitor.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_print_visitor.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_reader.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_reader.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_rvalue_visitor.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_rvalue_visitor.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_set_program_inouts.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_uniform.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_unused_structs.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_unused_structs.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_validate.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_variable_refcount.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_variable_refcount.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir_visitor.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/link_atomics.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/link_functions.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/link_interface_blocks.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/link_uniform_block_active_visitor.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/link_uniform_block_active_visitor.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/link_uniform_blocks.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/link_uniform_initializers.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/link_uniforms.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/link_varyings.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/link_varyings.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/linker.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/linker.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/linker_util.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/linker_util.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/list.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/loop_analysis.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/loop_analysis.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/loop_unroll.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_blend_equation_advanced.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_buffer_access.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_buffer_access.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_builtins.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_const_arrays_to_uniforms.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_cs_derived.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_discard.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_discard_flow.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_distance.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_if_to_cond_assign.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_instructions.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_int64.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_jumps.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_mat_op_to_vec.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_named_interface_blocks.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_offset_array.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_output_reads.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_packed_varyings.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_packing_builtins.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_precision.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_shared_reference.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_subroutine.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_tess_level.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_texture_projection.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_ubo_reference.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_variable_index_to_cond_assign.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_vec_index_to_cond_assign.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_vec_index_to_swizzle.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_vector.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_vector_derefs.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_vector_insert.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_vertex_id.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/lower_xfb_varying.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/main.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_add_neg_to_sub.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_algebraic.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_array_splitting.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_conditional_discard.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_constant_folding.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_constant_propagation.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_constant_variable.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_copy_propagation_elements.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_dead_builtin_variables.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_dead_builtin_varyings.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_dead_code.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_dead_code_local.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_dead_functions.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_flatten_nested_if_blocks.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_flip_matrices.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_function_inlining.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_if_simplification.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_minmax.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_rebalance_tree.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_redundant_jumps.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_structure_splitting.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_swizzle.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_tree_grafting.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_vectorize.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/program.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/propagate_invariance.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/s_expression.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/s_expression.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/serialize.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/serialize.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/shader_cache.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/shader_cache.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/standalone.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/standalone.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/standalone_scaffolding.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/standalone_scaffolding.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/string_to_uint_map.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/string_to_uint_map.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/test_optpass.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl/xxd.py (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl_types.cpp (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/glsl_types.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/shader_enums.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/shader_enums.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/compiler/shader_info.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/gallium/auxiliary/util/u_half.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/gallium/include/pipe/p_compiler.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/gallium/include/pipe/p_config.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/gallium/include/pipe/p_defines.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/gallium/include/pipe/p_format.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/gallium/include/pipe/p_state.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mapi/glapi/glapi.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/config.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/context.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/context.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/dd.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/debug_output.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/draw.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/enums.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/errors.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/extensions.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/extensions_table.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/extensions_table.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/formats.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/glheader.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/glthread.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/hash.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/macros.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/menums.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/mesa_private.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/mtypes.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/shaderobj.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/uniforms.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/main/version.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/math/m_matrix.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/program/dummy_errors.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/program/ir_to_mesa.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/program/prog_instruction.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/program/prog_parameter.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/program/prog_statevars.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/program/program.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/program/symbol_table.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/program/symbol_table.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/mesa/vbo/vbo.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/bitscan.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/bitset.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/blob.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/blob.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/compiler.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/crc32.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/crc32.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/debug.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/debug.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/detect_os.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/disk_cache.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/disk_cache.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/fast_urem_by_const.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/fnv1a.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/format/u_format.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/futex.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/half_float.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/half_float.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/hash_table.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/hash_table.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/list.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/macros.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/mesa-sha1.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/mesa-sha1.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/mesa-sha1_test.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/os_memory.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/os_memory_aligned.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/os_memory_stdc.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/os_misc.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/os_misc.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/os_time.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/ralloc.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/ralloc.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/rounding.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/set.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/set.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/sha1/README (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/sha1/sha1.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/sha1/sha1.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/simple_mtx.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/softfloat.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/softfloat.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/string_buffer.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/string_buffer.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/strndup.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/strtod.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/strtod.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_atomic.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_debug.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_debug.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_dynarray.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_endian.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_math.c (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_math.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_memory.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_queue.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_string.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/u_thread.h (100%)
 rename {third_party => build}/rust/glslopt/glsl-optimizer/src/util/xxhash.h (100%)
 rename {third_party => build}/rust/glslopt/src/bindings.rs (100%)
 rename {third_party => build}/rust/glslopt/src/lib.rs (100%)
 rename {third_party => build}/rust/glslopt/wrapper.hpp (100%)

diff --git a/Cargo.toml b/Cargo.toml
index 1f22546ba312..2a1766e79825 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -290,3 +290,6 @@ zip = { path = "third_party/rust/zip" }
 
 # Patch libcrux-traits to avoid unnecessary unused dependencies and conflicts.
 libcrux-traits = { path = "build/rust/libcrux-traits" }
+
+# Patch glslopt to fix build with glibc 2.43
+glslopt = { path = "build/rust/glslopt" }
